Package com.smartgwt.logicalstructure.widgets.tree

# Class TreeGridLogicalStructure

java.lang.Object
com.smartgwt.logicalstructure.core.LogicalStructureObject
com.smartgwt.logicalstructure.widgets.BaseWidgetLogicalStructure
com.smartgwt.logicalstructure.widgets.CanvasLogicalStructure
com.smartgwt.logicalstructure.widgets.layout.LayoutLogicalStructure
com.smartgwt.logicalstructure.widgets.layout.VLayoutLogicalStructure
com.smartgwt.logicalstructure.widgets.grid.ListGridLogicalStructure
com.smartgwt.logicalstructure.widgets.tree.TreeGridLogicalStructure

Direct Known Subclasses:
  `EditTreeLogicalStructure`, `TreePaletteLogicalStructure`

public class TreeGridLogicalStructure extends ListGridLogicalStructure

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `alwaysShowOpener`
  `String`
  `animateFolderEffect`
  `String`
  `animateFolderMaxRows`
  `String`
  `animateFolders`
  `String`
  `animateFolderSpeed`
  `String`
  `animateFolderTime`
  `String`
  `autoAssignTreeField`
  `String`
  `autoFetchTextMatchStyle`
  `String`
  `autoOpenTree`
  `String`
  `autoPreserveOpenState`
  `String`
  `canAcceptDroppedRecords`
  `String`
  `canDragRecordsOut`
  `String`
  `canDropOnLeaves`
  `String`
  `canDropSiblingAfterLastNode`
  `String`
  `canReorderRecords`
  `String`
  `canReparentNodes`
  `String`
  `canSelectAll`
  `String`
  `cantDragIntoChildMessage`
  `String`
  `cantDragIntoSelfMessage`
  `String`
  `cantDragMultipleNodeOccurencesMessage`
  `String`
  `cascadeSelection`
  `String`
  `childCannotBeItsOwnAncestorMessage`
  `String`
  `closedIconSuffix`
  `String`
  `connectorIconWidth`
  `SCStatefulImgConfig`
  `connectorImageAsSCStatefulImgConfig`
  `String`
  `connectorImageAsString`
  `String`
  `createDefaultTreeField`
  `String`
  `customIconDropProperty`
  `String`
  `customIconOpenProperty`
  `String`
  `customIconProperty`
  `String`
  `customIconSelectedProperty`
  `String`
  `dataArity`
  `String`
  `dataFetchMode`
  `Tree`
  `dataProperties`
  `DataSource`
  `dataSourceAsDataSource`
  `String`
  `dataSourceAsString`
  `String`
  `displayNodeType`
  `String`
  `dragRecategorize`
  `String`
  `dropEndSpace`
  `String`
  `dropIconSuffix`
  `String`
  `extraIconGap`
  `String`
  `folderIcon`
  `String`
  `folderIconPadding`
  `String`
  `groupByFieldAsString`
  `String`
  `iconBaseStyle`
  `String`
  `iconPadding`
  `String`
  `iconPaddingProperty`
  `String`
  `iconSize`
  `String`
  `indentRecordComponents`
  `String`
  `indentSize`
  `String`
  `initialData`
  `String`
  `keepParentsOnFilter`
  `String`
  `leaveSelectionCheckboxGap`
  `String`
  `loadDataOnDemand`
  `String`
  `loadingIcon`
  `String`
  `manyItemsImage`
  `String`
  `nodeIcon`
  `String`
  `offlineNodeMessage`
  `String`
  `openerIconHeight`
  `String`
  `openerIconSize`
  `String`
  `openerIconWidth`
  `SCStatefulImgConfig`
  `openerImageAsSCStatefulImgConfig`
  `String`
  `openerImageAsString`
  `String`
  `openIconPadding`
  `String`
  `openIconSuffix`
  `String`
  `parentAlreadyContainsChildMessage`
  `String`
  `recordDropAppearance`
  `String`
  `saveOpenStateInViewState`
  `String`
  `selectedIconSuffix`
  `String`
  `selectionProperty`
  `String`
  `separateFolders`
  `String[]`
  `serverFilterFields`
  `String`
  `showConnectors`
  `String`
  `showCustomIconDrop`
  `String`
  `showCustomIconOpen`
  `String`
  `showCustomIconSelected`
  `String`
  `showDisabledSelectionCheckbox`
  `String`
  `showDropEndSpace`
  `String`
  `showDropIcons`
  `String`
  `showFolderIcons`
  `String`
  `showFullConnectors`
  `String`
  `showLoadingIcons`
  `String`
  `showNodeIcons`
  `String`
  `showOpener`
  `String`
  `showOpenIcons`
  `String`
  `showPartialSelection`
  `String`
  `showRoot`
  `String`
  `showSelectedIcons`
  `String`
  `showSelectedOpener`
  `String`
  `sortFoldersBeforeLeaves`
  `String`
  `treeFieldMinWidth`
  `String`
  `treeFieldTitle`
  `String`
  `treeRootValue`
  `String`
  `useAllDataSourceFields`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.grid.ListGridLogicalStructure

  `advancedFieldPickerThreshold, advancedFilteringText, aiFilterWindowHint, aiFilterWindowInstructions, aiFilterWindowTitle, aiHoverContentsPrefix, aiHoverRetryDelay, aiSortFieldMaxRecordsMessage, allowFilterExpressions, allowFilterOperators, allowFilterWindow, allowRowSpanning, alternateBodyStyleName, alternateFieldFrequency, alternateFieldStyles, alternateFieldSuffix, alternateRecordFrequency, alternateRecordStyles, alternateRecordSuffix, alwaysShowEditors, alwaysShowOperatorIcon, animateRemoveRecord, animateRemoveSpeed, animateRemoveTime, animateRollOver, animateRollUnder, animateSelection, animateSelectionUnder, applyFormulaAfterSummary, applyRowCountToLength, applyRowNumberStyle, approximateRowCountFormat, ariaRole, arrowKeyAction, arrowKeyEditAction, asyncErrorCellValue, asynchGroupingPrompt, asyncMissingCellValue, autoComplete, autoConfirmSaveEdits, autoFetchDisplayMap, autoFetchRowCount, autoFitAllText, autoFitClipFields, autoFitData, autoFitDateFields, autoFitExpandField, autoFitExpandLengthThreshold, autoFitExtraRecords, autoFitFieldsFillViewport, autoFitFieldText, autoFitFieldWidths, autoFitHeaderHeights, autoFitIconFields, autoFitMaxColumns, autoFitMaxHeight, autoFitMaxRecords, autoFitMaxWidthAsString, autoFitTimeFields, autoFitWidthApproach, autoHideCanvasGrid, autoPersistViewState, autoSaveEdits, autoSizeHeaderSpans, badFormulaResultValue, baseStyle, blockingRowCountFetch, bodyBackgroundColor, bodyOverflow, bodyStyleName, booleanBaseStyle, booleanFalseImage, booleanImageHeight, booleanImageWidth, booleanPartialImage, booleanTrueImage, briefRowRangeDisplayValue, canAddAISortFields, canAddAISummaryFields, canAutoFitFields, cancelEditingConfirmationMessage, canCollapseGroup, canConfigureViaAI, canDragSelect, canDragSelectText, canDropInEmptyArea, canEdit, canEditHilites, canEditTitles, canExpandMultipleRecords, canExpandRecordProperty, canExpandRecords, canFocusInEmptyGrid, canFreezeFields, canGroupBy, canHiliteViaAI, canHover, canMultiGroup, canMultiSort, canPickFields, canPickOmittedFields, canRemoveRecords, canReorderFields, canRequestRowCount, canResizeFields, canSaveSearches, canSelectCells, canSelectGroups, canSelectOnRecordClick, canSelectSummaryRows, canShowFilterEditor, canSort, canTabToHeader, canTabToSorter, canvasGridConstructor, cellHeight, cellPadding, cellRole, centralStyling, chartConstructor, chartType, checkboxFieldFalseImage, checkboxFieldImageHeight, checkboxFieldImageWidth, checkboxFieldPartialImage, checkboxFieldTrueImage, childExpansionMode, clearAllSortingText, clearCriteriaOnFilterEditorHide, clearFilterText, clearFilterViaAIText, clearSortFieldText, clipHeaderTitles, collapseGroupOnRowClick, configureGroupingText, configureSortText, configureViaAIText, confirmCancelEditing, confirmDiscardEdits, confirmDiscardEditsMessage, criteriaIndicatorColor, criteriaIndicatorHeaderColor, dataFetchDelay, dateFormatter, datetimeFormatter, defaultDateFieldWidth, defaultDateTimeFieldWidth, defaultEditableDateFieldWidth, defaultEditableDateTimeFieldWidth, defaultFilterOperator, defaultFilterOperatorSuffix, defaultTimeFieldWidth, deferRemoval, deselectOnPartialCheckboxClick, detailDS, detailField, disabledGroupByPrompt, discardDataOnSetFetchOperation, discardEditsOnHideField, discardEditsSaveButtonTitle, divGrid, dragHandleFieldTitle, dragHandleIcon, dragHandleIconSize, dragScrollRedrawDelay, dragTrackerMode, drawAheadRatio, drawAllMaxCells, editByCell, editEvent, editFailedBaseStyle, editFailedCSSText, editOnF2Keypress, editOnFocus, editPendingBaseStyle, editPendingCSSText, editPendingMarkerStyle, editProxyConstructor, editSelectionType, embeddedComponentIndent, embeddedComponentMargin, emptyAIHoverContents, emptyCellValue, emptyMessage, emptyMessageStyle, emptyRowRangeDisplayValue, enforceVClipping, enterKeyEditAction, enumCriteriaAsInitialValues, errorIconHeight, errorIconSrc, errorIconWidth, escapeKeyEditAction, exactRowCountFormat, expansionCanEdit, expansionComponentPoolingMode, expansionEditorCollapseOnSave, expansionEditorSaveButtonTitle, expansionEditorSaveDialogPrompt, expansionEditorShowSaveDialog, expansionFieldFalseImage, expansionFieldImageHeight, expansionFieldImageShowRTL, expansionFieldImageShowSelected, expansionFieldImageStyle, expansionFieldImageWidth, expansionFieldTrueImage, expansionIndent, expansionMode, expansionScreen, explicitFetchDelay, exportAlternateRowBGColor, exportColumnWidthPadding, exportDefaultBGColor, exportFieldAlignments, exportFieldWidths, exportHeaderHeights, exportHiddenFieldWidth, exportRawNumbers, exportRawValues, exportWidthScale, exportWrapCells, exportWrapHeaderTitles, fetchDelay, fetchFieldsAsListGridFieldArray, fetchFieldsAsString, fieldCriteriaText, fieldPickerFieldProperties, fieldPickerShowSampleValues, fields, fieldState, fieldVisibilitySubmenuTitle, filterButtonPrompt, filterByCell, filterEditorHeight, filterLocalData, filterOnKeypress, filterUsingText, filterViaAIMode, filterViaAIPanelInstructions, filterViaAIText, filterWindowCriteria, filterWindowInstructions, filterWindowTitle, firstCellStyle, fixedFieldWidths, fixedRecordHeights, formulaBuilderSpanTitleSeparator, freezeFieldText, frozenBaseStyle, frozenBodyStyleName, frozenFieldsMaxWidthAsString, frozenHeaderBaseStyle, frozenHeaderTitleStyle, frozenRollOverCanvas, frozenRollUnderCanvas, fullRowRangeDisplayValue, generateClickOnEnter, generateClickOnSpace, generateDoubleClickOnEnter, generateDoubleClickOnSpace, gridAdditionalCriteriaText, gridComponentsAsCanvasArray, gridComponentsAsStringArrayArray, gridSummaryRecordProperty, groupByAsyncThreshold, groupByFieldSummaries, groupByMaxRecords, groupByMaxRecordsExceededMessage, groupByText, groupIcon, groupIconSize, groupIconStyle, groupIndentSize, groupLeadingIndent, groupNodeBaseStyle, groupNodeStyle, groupSortDirection, groupStartOpenAsString, groupState, groupSummaryRecordProperty, groupSummaryStyle, groupTitleField, headerAriaRole, headerAutoFitEvent, headerBackgroundColor, headerBarStyle, headerBaseStyle, headerButtonAriaRole, headerButtonAriaState, headerHeight, headerHoverAlign, headerHoverHeight, headerHoverOpacity, headerHoverStyle, headerHoverVAlign, headerHoverWidth, headerHoverWrap, headerMenuButtonHeightAsString, headerMenuButtonIcon, headerMenuButtonIconHeight, headerMenuButtonIconWidth, headerMenuButtonSnapOffsetLeft, headerMenuButtonWidth, headerRadius, headerShadowColor, headerShadowHOffset, headerShadowSoftness, headerShadowVOffset, headerSpanHeight, headerTitleStyle, headerTitleVAlign, hideEmptySummaryRow, hideFilterEditorTitle, hiliteCanReplaceValue, hiliteEditorSpanTitleSeparator, hiliteHTMLAfterFormat, hiliteIconHeight, hiliteIconLeftPadding, hiliteIconPosition, hiliteIconRightPadding, hiliteIcons, hiliteIconSize, hiliteIconWidth, hiliteReplaceValueFieldTitle, hiliteRowOnFocus, hiliteViaAIMode, hiliteViaAIText, hoverMode, hoverScreen, hoverStyle, iconCursor, imageSize, includeHilitesInSummaryFields, includeInSummaryProperty, initialSort, inlineEditItemGap, instantScrollTrackRedraw, invalidSummaryValue, isGrouped, isSeparatorProperty, lastCellStyle, leaveScrollbarGap, linkTextProperty, linkTextStyleName, listEndEditAction, loadingDataMessage, loadingDataMessageStyle, loadingMessage, loadingRowCountDisplayIcoHeight, loadingRowCountDisplayIcon, loadingRowCountDisplayIconWidth, locateColumnsBy, locateRowsBy, longTextEditorThreshold, longTextEditorType, maxExpandedRecords, maxExpandedRecordsPrompt, maximumRowCountFormat, maxSummaryRowRecords, minFieldWidth, minHeight, minimumCellHeight, minimumRowCountFormat, missingSummaryFieldValue, modalEditing, navigateOnTab, neverValidate, newRecordRowMessage, newSearchText, normalBaseStyle, normalCellHeight, noSavedSearchesText, nullGroupTitle, offlineMessageStyle, originBaseStyle, overflow, pendingAsyncCellValue, placeholderAIHoverContents, poolComponentsPerColumn, preRender, preRenderDelay, preRenderFormatValues, preRenderImageMode, preRenderPlaceholderColor, preRenderStructureDelay, preRenderTransitionDuration, preserveFocusStylingOnMouseOut, preserveWhitespace, printAutoFit, printBaseStyle, printBooleanBaseStyle, printBooleanFalseImage, printBooleanPartialImage, printBooleanTrueImage, printCheckboxFieldFalseImage, printCheckboxFieldPartialImage, printCheckboxFieldTrueImage, printHeaderStyle, printMaxRows, printWrapCells, quickDrawAheadRatio, rangeRowCountFormat, recordBaseStyleProperty, recordCanRemoveProperty, recordCanSelectProperty, recordCellRoleProperty, recordComponentHeight, recordComponentPoolingMode, recordComponentPosition, recordDetailDSProperty, recordEditProperty, recordEnabledProperty, recordRadius, recordRadiusTargets, recordRowAriaStateProperty, recordRowRoleProperty, recordScreen, recordShowRollOverProperty, recordSummaryAttributePrefix, recordSummaryBaseStyle, removedCSSText, removeFieldTitle, removeIcon, removeIconSize, removeIconStyle, reselectOnUpdate, reselectOnUpdateNotifications, resizeFieldsInRealTime, reverseRTLAlign, rotatedHeaderMenuButtonHeightAsString, rotatedHeaderMenuButtonWidth, rotateHeaderTitles, rowAriaState, rowCountDisplayPrecision, rowEndEditAction, rowLocatorFieldAsString, rowNumberStart, rowNumberStyle, rowRangeDisplayStyle, rowRangeFormat, rowRole, rowSpanEditMode, rowSpanSelectionMode, saveByCell, saveCriteriaInViewState, saveDefaultSearch, savedSearchAdminRole, savedSearchDS, savedSearchStoredState, savedSearchText, saveLocally, screenReaderCellSeparator, screenReaderIncludeFieldTitles, screenReaderNavigateByCell, screenReaderRowSeparator, screenReaderWriteRowLabelledBy, scrollRedrawDelay, scrollToCellXPosition, scrollToCellYPosition, scrollWheelRedrawDelay, searchFormAsDynamicForm, searchFormAsString, searchFormAsValuesManager, selectCellTextOnClick, selectedState, selectHeaderOnSort, selectionAppearance, selectionType, selectOnEdit, selectOnExpandRecord, separatorRowStyle, showAllColumns, showAllRecords, showAsynchGroupingPrompt, showBackgroundComponents, showCellContextMenus, showClippedHeaderTitlesOnHover, showClippedValuesOnHover, showCollapsedGroupSummary, showDetailFields, showDropLines, showDropOverRollOver, showEllipsisWhenClipped, showEmptyMessage, showErrorIcons, showExpansionEditorSaveButton, showFilterEditor, showFilterEditorHovers, showFilterEditorTitle, showFilterWindowCriteriaIndicator, showGridSummary, showGroupSummary, showGroupSummaryInHeader, showGroupTitleColumn, showGroupTitleInFrozenBody, showHeader, showHeaderContextMenu, showHeaderMenuButton, showHeaderPartialSelection, showHeaderSeparators, showHeaderShadow, showHeaderSpanContextMenu, showHeaderSpanTitlesInFormulaBuilder, showHeaderSpanTitlesInHiliteEditor, showHeaderSpanTitlesInSortEditor, showHilitesInGroupSummary, showHover, showHoverComponents, showHoverOnDisabledCells, showInitialDragHandles, showLastHeaderSeparators, showNewRecordRow, showPreRenderTransition, showRecordComponents, showRecordComponentsByCell, showRollOver, showRollOverCanvas, showRollOverInExpansion, showRollUnderCanvas, showRowNumbers, showSelectedRollOverCanvas, showSelectedRollUnderCanvas, showSelectedStyle, showSelectionCanvas, showSelectionUnderCanvas, showSortArrow, showSortNumerals, showTreeColumnPicker, shrinkForFreeze, singleCellValueProperty, skinImgDir, skipClipDiv, skipLineBreaks, sortArrowMenuButtonSpaceOffset, sortAscendingImageAsImgHTMLProperties, sortAscendingImageAsString, sortBinaryByFileName, sortByGroupFirst, sortDescendingImageAsImgHTMLProperties, sortDescendingImageAsString, sortDirection, sortEditorSpanTitleSeparator, sorterButtonTitle, sortFieldAscendingText, sortFieldAsString, sortFieldDescendingText, sortNumeralMenuButtonSpaceOffset, sortNumeralStyle, sortState, spannedHeaderBaseStyle, stopOnErrors, styledRowEnds, styleName, summaryRowCriteria, summaryRowDataSource, summaryRowHeight, summaryRowStyle, tableRowStyle, tallBaseStyle, touchScrollRedrawDelay, trackerImageAsImgHTMLProperties, trackerImageAsString, unfreezeFieldText, ungroupText, unknownRowCountDisplayValue, unremoveIcon, updateSummariesDuringEditing, useAdvancedCriteria, useAdvancedFieldPicker, useCellRollOvers, useClientFiltering, useCopyPasteShortcuts, useInlineEditors, useInlineFilterEditors, useLegacyDefaultFormattedValue, useMultiSelectForFilterValueMaps, useRemoteValidators, useRowSpanStyling, validateByCell, validateOnChange, valueIconHeight, valueIconLeftPadding, valueIconRightPadding, valueIconSize, valueIconWidth, viewState, virtualScrolling, waitForSave, warnOnRemoval, warnOnRemovalMessage, warnOnUnmappedValueFieldChange, wrapCells, wrapHeaderSpanTitles, wrapHeaderTitles`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.layout.LayoutLogicalStructure

  `alignAsString, animateMembers, animateMemberTime, canDropComponents, defaultLayoutAlignAsString, defaultResizeBars, dropLineThickness, enforcePolicy, hPolicy, layoutBottomMargin, layoutEndMargin, layoutLeftMargin, layoutMargin, layoutRightMargin, layoutStartMargin, layoutTopMargin, locateMembersBy, locateMembersType, managePercentBreadth, memberOverlap, membersAsCanvasArray, membersAsStringArrayArray, membersMargin, minMemberLength, minMemberSize, paddingAsLayoutMargin, resizeBarClass, resizeBarSize, reverseOrder, showDragPlaceHolder, stackZIndex, vertical, vPolicy`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.CanvasLogicalStructure

  `accessKey, adaptiveHeightPriority, adaptiveWidthPriority, alwaysManageFocusNavigation, alwaysShowScrollbars, animateAcceleration, animateFadeTime, animateHideAcceleration, animateHideTime, animateMoveAcceleration, animateMoveTime, animateRectAcceleration, animateRectTime, animateResizeAcceleration, animateResizeLayoutMode, animateResizeTime, animateScrollAcceleration, animateScrollTime, animateShowAcceleration, animateShowTime, animateTime, appImgDir, autoMaskComponents, autoParent, autoPopulateData, autoRevertStyles, autoShowParent, backgroundColor, backgroundImage, backgroundPosition, backgroundRepeat, border, borderRadius, canAcceptDrop, canAdaptHeight, canAdaptWidth, canDrag, canDragReposition, canDragResize, canDragScroll, canDrop, canDropBefore, canDropContent, canDropFiles, canFocus, canSelectText, canvasItem, childrenAsCanvasArray, childrenAsStringArrayArray, childrenResizeSnapAlign, childrenSnapAlign, childrenSnapCenterAlign, childrenSnapEdgeAlign, childrenSnapResizeToGrid, childrenSnapToGrid, contents, contentsComponentDefaults, contextMenu, correctZoomOverflow, cursor, dataContext, dataPath, defaultHeight, defaultWidth, deferActionConversion, definingProperty, definingPropertyNameOptions, destroyed, destroying, disabled, disabledCursor, disableTouchScrollingForDrag, doubleClickDelay, dragAppearance, dragIntersectStyle, dragMaskType, dragMaxHeight, dragMaxWidth, dragMinHeight, dragMinWidth, dragOpacity, dragRepositionAppearance, dragRepositionCursor, dragResizeAppearance, dragScrollDelay, dragStartDistance, dragTargetAsCanvas, dragTargetAsString, dragType, dropTargetAsCanvas, dropTargetAsString, dropTypesAsStringArrayArray, dynamicContents, edgeBackgroundColor, edgeCenterBackgroundColor, edgeImage, edgeMarginSize, edgeOffset, edgeOpacity, edgeShowCenter, edgeSize, editNode, enableWhen, endLine, extraSpace, floatingScrollbars, forwardSVGeventsToObject, groupBorderCSS, groupLabelBackgroundColor, groupLabelStyleName, groupPadding, groupTitle, heightAsString, hideUsingDisplayNone, hoverAlign, hoverAutoDestroy, hoverAutoFitMaxWidthAsString, hoverAutoFitWidth, hoverDelay, hoverFocusKey, hoverHeight, hoverMoveWithMouse, hoverOpacity, hoverPersist, hoverVAlign, hoverWidth, hoverWrap, htmlElementAsString, htmlPosition, ID, isGroup, isPrinting, isRuleScope, isSnapAlignCandidate, keepInParentRectAsString, layoutAlignAsString, leaveGroupLabelSpace, leavePageSpace, leftAsString, locateByIDOnly, locateChildrenBy, locateChildrenType, locatePeersBy, locatePeersType, locatorName, margin, masterElement, matchElement, matchElementHeight, matchElementWidth, maxHeight, maxWidth, maxZoomOverflowError, menuConstructorAsString, minNonEdgeSize, minWidth, momentumScrollMinSpeed, mouseStillDownDelay, mouseStillDownInitialDelay, name, nativeAutoHideScrollbars, noDoubleClicks, noDropCursor, opacity, padding, parentCanvasAsCanvas, parentCanvasAsString, parentElementAsCanvas, parentElementAsString, peers, pendingMarkerStyle, pendingMarkerVisible, percentBox, percentSource, persistentMatchElement, pointerSettings, pointerTargetAsString, position, printChildrenAbsolutelyPositioned, printStyleName, prompt, proportionalResizeModifiers, proportionalResizing, receiveScrollbarEvents, redrawOnResize, resizeBarTarget, resizeFrom, ruleScope, scrollbarSize, shadowColor, shadowDepth, shadowHOffset, shadowImage, shadowOffset, shadowSoftness, shadowSpread, shadowVOffset, shareCriteria, shouldPrint, showCustomScrollbars, showDragShadow, showEdges, showFocusOutline, showPointer, showResizeBar, showShadow, showSnapGrid, shrinkElementOnHide, singleDiv, sizeMayChangeOnRedraw, snapAlignCandidates, snapAlignCenterLineStyle, snapAlignEdgeLineStyle, snapAxis, snapEdge, snapGridStyle, snapHDirection, snapHGap, snapOffsetLeft, snapOffsetTop, snapOnDrop, snapResizeToAlign, snapResizeToGrid, snapTo, snapToAlign, snapToCenterAlign, snapToEdgeAlign, snapToGrid, snapVDirection, snapVGap, startLine, suppressRedraw, tabIndex, testDataContext, topAsString, topElement, updateTabPositionOnDraw, updateTabPositionOnReparent, useBackMask, useCSSShadow, useDataContextCriteria, useDragMask, useGeneratedStyles, useImageForSVG, useNativeDrag, useOpacityFilter, useTouchScrolling, valuesManagerAsString, valuesManagerAsValuesManager, visibility, visibleWhen, widthAsString, workflows`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.BaseWidgetLogicalStructure

  `autoDraw`

  ### Fields inherited from class com.smartgwt.logicalstructure.core.LogicalStructureObject

  `logicalStructureErrors, scClassName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TreeGridLogicalStructure()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### alwaysShowOpener

    public String alwaysShowOpener

  - ### animateFolderEffect

    public String animateFolderEffect

  - ### animateFolderMaxRows

    public String animateFolderMaxRows

  - ### animateFolders

    public String animateFolders

  - ### animateFolderSpeed

    public String animateFolderSpeed

  - ### animateFolderTime

    public String animateFolderTime

  - ### autoAssignTreeField

    public String autoAssignTreeField

  - ### autoFetchTextMatchStyle

    public String autoFetchTextMatchStyle

  - ### autoOpenTree

    public String autoOpenTree

  - ### autoPreserveOpenState

    public String autoPreserveOpenState

  - ### canAcceptDroppedRecords

    public String canAcceptDroppedRecords

  - ### canDragRecordsOut

    public String canDragRecordsOut

  - ### canDropOnLeaves

    public String canDropOnLeaves

  - ### canDropSiblingAfterLastNode

    public String canDropSiblingAfterLastNode

  - ### canReorderRecords

    public String canReorderRecords

  - ### canReparentNodes

    public String canReparentNodes

  - ### canSelectAll

    public String canSelectAll

  - ### cantDragIntoChildMessage

    public String cantDragIntoChildMessage

  - ### cantDragIntoSelfMessage

    public String cantDragIntoSelfMessage

  - ### cantDragMultipleNodeOccurencesMessage

    public String cantDragMultipleNodeOccurencesMessage

  - ### cascadeSelection

    public String cascadeSelection

  - ### childCannotBeItsOwnAncestorMessage

    public String childCannotBeItsOwnAncestorMessage

  - ### closedIconSuffix

    public String closedIconSuffix

  - ### connectorIconWidth

    public String connectorIconWidth

  - ### connectorImageAsString

    public String connectorImageAsString

  - ### connectorImageAsSCStatefulImgConfig

    public SCStatefulImgConfig connectorImageAsSCStatefulImgConfig

  - ### createDefaultTreeField

    public String createDefaultTreeField

  - ### customIconDropProperty

    public String customIconDropProperty

  - ### customIconOpenProperty

    public String customIconOpenProperty

  - ### customIconProperty

    public String customIconProperty

  - ### customIconSelectedProperty

    public String customIconSelectedProperty

  - ### dataArity

    public String dataArity

  - ### dataFetchMode

    public String dataFetchMode

  - ### dataProperties

    public Tree dataProperties

  - ### dataSourceAsDataSource

    public DataSource dataSourceAsDataSource

  - ### dataSourceAsString

    public String dataSourceAsString

  - ### displayNodeType

    public String displayNodeType

  - ### dragRecategorize

    public String dragRecategorize

  - ### dropEndSpace

    public String dropEndSpace

  - ### dropIconSuffix

    public String dropIconSuffix

  - ### extraIconGap

    public String extraIconGap

  - ### folderIcon

    public String folderIcon

  - ### folderIconPadding

    public String folderIconPadding

  - ### groupByFieldAsString

    public String groupByFieldAsString

  - ### iconBaseStyle

    public String iconBaseStyle

  - ### iconPadding

    public String iconPadding

  - ### iconPaddingProperty

    public String iconPaddingProperty

  - ### iconSize

    public String iconSize

  - ### indentRecordComponents

    public String indentRecordComponents

  - ### indentSize

    public String indentSize

  - ### initialData

    public String initialData

  - ### keepParentsOnFilter

    public String keepParentsOnFilter

  - ### leaveSelectionCheckboxGap

    public String leaveSelectionCheckboxGap

  - ### loadDataOnDemand

    public String loadDataOnDemand

  - ### loadingIcon

    public String loadingIcon

  - ### manyItemsImage

    public String manyItemsImage

  - ### nodeIcon

    public String nodeIcon

  - ### offlineNodeMessage

    public String offlineNodeMessage

  - ### openerIconHeight

    public String openerIconHeight

  - ### openerIconSize

    public String openerIconSize

  - ### openerIconWidth

    public String openerIconWidth

  - ### openerImageAsString

    public String openerImageAsString

  - ### openerImageAsSCStatefulImgConfig

    public SCStatefulImgConfig openerImageAsSCStatefulImgConfig

  - ### openIconPadding

    public String openIconPadding

  - ### openIconSuffix

    public String openIconSuffix

  - ### parentAlreadyContainsChildMessage

    public String parentAlreadyContainsChildMessage

  - ### recordDropAppearance

    public String recordDropAppearance

  - ### saveOpenStateInViewState

    public String saveOpenStateInViewState

  - ### selectedIconSuffix

    public String selectedIconSuffix

  - ### selectionProperty

    public String selectionProperty

  - ### separateFolders

    public String separateFolders

  - ### serverFilterFields

    public String[] serverFilterFields

  - ### showConnectors

    public String showConnectors

  - ### showCustomIconDrop

    public String showCustomIconDrop

  - ### showCustomIconOpen

    public String showCustomIconOpen

  - ### showCustomIconSelected

    public String showCustomIconSelected

  - ### showDisabledSelectionCheckbox

    public String showDisabledSelectionCheckbox

  - ### showDropEndSpace

    public String showDropEndSpace

  - ### showDropIcons

    public String showDropIcons

  - ### showFolderIcons

    public String showFolderIcons

  - ### showFullConnectors

    public String showFullConnectors

  - ### showLoadingIcons

    public String showLoadingIcons

  - ### showNodeIcons

    public String showNodeIcons

  - ### showOpener

    public String showOpener

  - ### showOpenIcons

    public String showOpenIcons

  - ### showPartialSelection

    public String showPartialSelection

  - ### showRoot

    public String showRoot

  - ### showSelectedIcons

    public String showSelectedIcons

  - ### showSelectedOpener

    public String showSelectedOpener

  - ### sortFoldersBeforeLeaves

    public String sortFoldersBeforeLeaves

  - ### treeFieldMinWidth

    public String treeFieldMinWidth

  - ### treeFieldTitle

    public String treeFieldTitle

  - ### treeRootValue

    public String treeRootValue

  - ### useAllDataSourceFields

    public String useAllDataSourceFields

- ## Constructor Details

  - ### TreeGridLogicalStructure

    public TreeGridLogicalStructure()